Name:           python-strictyaml
Version:        1.7.3
Release:    2%{?dist}
Summary:        Parses and validates a restricted subset of YAML

License:        MIT
URL:            http://hitchdev.com/strictyaml
%global forgeurl https://github.com/crdoconnor/strictyaml
Source0:        %{forgeurl}/archive/%{version}/strictyaml-%{version}.tar.gz
Source1:        https://sourceforge.net/p/ruamel-yaml/code/ci/0.16.13/tree/LICENSE?format=raw#/LICENSE-ruamel-yaml

BuildArch:      noarch

BuildRequires:  python3-devel


%global common_description %{expand:
StrictYAML is a type-safe YAML parser that parses and validates a restricted
subset of the YAML specification.

Priorities:

  • Beautiful API
  • Refusing to parse the ugly, hard to read and insecure features of YAML like
    the Norway problem.
  • Strict validation of markup and straightforward type casting.
  • Clear, readable exceptions with code snippets and line numbers.
  • Acting as a near-drop in replacement for pyyaml, ruamel.yaml or poyo.
  • Ability to read in YAML, make changes and write it out again with comments
    preserved.
  • Not speed, currently.}

%description %{common_description}


%package -n     python3-strictyaml
Summary:        %{summary}

Provides:       bundled(python3dist(ruamel-yaml)) = 0.16.13

%description -n python3-strictyaml %{common_description}


%prep
%autosetup -n strictyaml-%{version}
cp -p '%{SOURCE1}' .
sed -r -i 's/(__version__ *= *")DEVELOPMENT_VERSION"/\1%{version}"/' \
    'strictyaml/__init__.py'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files strictyaml


%check


%files -n python3-strictyaml -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md


%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.7.3-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-1
- initial build
